/* １０進数出力 */

#include <stdio.h>
#include "defines.h"

void fprint_decII(code,initc,keta,fp)
int code,keta;
unchar initc;
FILE *fp;
{
int i;
unchar dec[12]; /* 整数値は最大１０桁＋負号だから */
	i=make_dec(code,dec);
	if (keta>0) while (i>11-keta) dec[--i]=initc; /* end:i=keta; */
	fputs(&dec[i],fp);
}
